<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_plot_hdf5::xdmf_info_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesd__plot__hdf5.html">sd_plot_hdf5</a></li><li class="navelem"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html">xdmf_info_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structsd__plot__hdf5_1_1xdmf__info__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">sd_plot_hdf5::xdmf_info_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for sd_plot_hdf5::xdmf_info_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structsd__plot__hdf5_1_1xdmf__info____coll__graph.png" border="0" usemap="#sd__plot__hdf5_1_1xdmf__info___coll__map" alt="Collaboration graph"/></div>
<map name="sd__plot__hdf5_1_1xdmf__info___coll__map" id="sd__plot__hdf5_1_1xdmf__info___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2fb6789b9b5cc66141062ac0c39d5dc3"><td class="memItemLeft" align="right" valign="top">character(len=128)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a2fb6789b9b5cc66141062ac0c39d5dc3">path</a></td></tr>
<tr class="separator:a2fb6789b9b5cc66141062ac0c39d5dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2442c5609837ca83feba713d01f1dd70"><td class="memItemLeft" align="right" valign="top">character(len=128)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a2442c5609837ca83feba713d01f1dd70">name</a></td></tr>
<tr class="separator:a2442c5609837ca83feba713d01f1dd70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e62b0afb939e41944b73322ed995fc4"><td class="memItemLeft" align="right" valign="top">character(len=128)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a2e62b0afb939e41944b73322ed995fc4">prefix</a></td></tr>
<tr class="separator:a2e62b0afb939e41944b73322ed995fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85c310c732bc41e6a37057e576ae749"><td class="memItemLeft" align="right" valign="top">character(len=str_long)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#ab85c310c732bc41e6a37057e576ae749">h5_file_work</a></td></tr>
<tr class="separator:ab85c310c732bc41e6a37057e576ae749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a898d1ff0cdbd62f0b15058e1557a4ec8"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a898d1ff0cdbd62f0b15058e1557a4ec8">tags</a> =&gt; null()</td></tr>
<tr class="separator:a898d1ff0cdbd62f0b15058e1557a4ec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec65c17058a948c6b7ffb57d154e3d5d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#aec65c17058a948c6b7ffb57d154e3d5d">ntab</a> = 1</td></tr>
<tr class="separator:aec65c17058a948c6b7ffb57d154e3d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe541b017079c62e2e9416171695a396"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#abe541b017079c62e2e9416171695a396">iunit_work</a></td></tr>
<tr class="separator:abe541b017079c62e2e9416171695a396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e4ee21feb8895b1deccab6290b5fdf4"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a2e4ee21feb8895b1deccab6290b5fdf4">domain_name</a></td></tr>
<tr class="separator:a2e4ee21feb8895b1deccab6290b5fdf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad836e2d429e5ded94b35d19d66f4758e"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#ad836e2d429e5ded94b35d19d66f4758e">open</a> = .FALSE.</td></tr>
<tr class="separator:ad836e2d429e5ded94b35d19d66f4758e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa292824d50396e9e85447dcfff53cfb0"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#aa292824d50396e9e85447dcfff53cfb0">finish</a></td></tr>
<tr class="separator:aa292824d50396e9e85447dcfff53cfb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f28e0148a0f30be008e06908414794"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#ad3f28e0148a0f30be008e06908414794">last_time</a> = -1.0_WP</td></tr>
<tr class="separator:ad3f28e0148a0f30be008e06908414794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac433c0f4a3672ca6dcda4ccd07cb1acd"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#ac433c0f4a3672ca6dcda4ccd07cb1acd">i_file</a> = -1</td></tr>
<tr class="separator:ac433c0f4a3672ca6dcda4ccd07cb1acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1161894255a3004750475f38921a3487"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#a1161894255a3004750475f38921a3487">use_wp</a></td></tr>
<tr class="separator:a1161894255a3004750475f38921a3487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe527dfc767934356a72c29b12550ccb"><td class="memItemLeft" align="right" valign="top">character(len=str_short)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__plot__hdf5_1_1xdmf__info__.html#afe527dfc767934356a72c29b12550ccb">str_precision</a></td></tr>
<tr class="separator:afe527dfc767934356a72c29b12550ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2e4ee21feb8895b1deccab6290b5fdf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e4ee21feb8895b1deccab6290b5fdf4">&#9670;&nbsp;</a></span>domain_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) sd_plot_hdf5::xdmf_info_::domain_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa292824d50396e9e85447dcfff53cfb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa292824d50396e9e85447dcfff53cfb0">&#9670;&nbsp;</a></span>finish</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_plot_hdf5::xdmf_info_::finish</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab85c310c732bc41e6a37057e576ae749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85c310c732bc41e6a37057e576ae749">&#9670;&nbsp;</a></span>h5_file_work</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long) sd_plot_hdf5::xdmf_info_::h5_file_work</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac433c0f4a3672ca6dcda4ccd07cb1acd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac433c0f4a3672ca6dcda4ccd07cb1acd">&#9670;&nbsp;</a></span>i_file</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_plot_hdf5::xdmf_info_::i_file = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abe541b017079c62e2e9416171695a396"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe541b017079c62e2e9416171695a396">&#9670;&nbsp;</a></span>iunit_work</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_plot_hdf5::xdmf_info_::iunit_work</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3f28e0148a0f30be008e06908414794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3f28e0148a0f30be008e06908414794">&#9670;&nbsp;</a></span>last_time</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_plot_hdf5::xdmf_info_::last_time = -1.0_WP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2442c5609837ca83feba713d01f1dd70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2442c5609837ca83feba713d01f1dd70">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=128) sd_plot_hdf5::xdmf_info_::name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aec65c17058a948c6b7ffb57d154e3d5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec65c17058a948c6b7ffb57d154e3d5d">&#9670;&nbsp;</a></span>ntab</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_plot_hdf5::xdmf_info_::ntab = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad836e2d429e5ded94b35d19d66f4758e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad836e2d429e5ded94b35d19d66f4758e">&#9670;&nbsp;</a></span>open</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_plot_hdf5::xdmf_info_::open = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2fb6789b9b5cc66141062ac0c39d5dc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fb6789b9b5cc66141062ac0c39d5dc3">&#9670;&nbsp;</a></span>path</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=128) sd_plot_hdf5::xdmf_info_::path</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e62b0afb939e41944b73322ed995fc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e62b0afb939e41944b73322ed995fc4">&#9670;&nbsp;</a></span>prefix</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=128) sd_plot_hdf5::xdmf_info_::prefix</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afe527dfc767934356a72c29b12550ccb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe527dfc767934356a72c29b12550ccb">&#9670;&nbsp;</a></span>str_precision</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_short) sd_plot_hdf5::xdmf_info_::str_precision</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a898d1ff0cdbd62f0b15058e1557a4ec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a898d1ff0cdbd62f0b15058e1557a4ec8">&#9670;&nbsp;</a></span>tags</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer sd_plot_hdf5::xdmf_info_::tags =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1161894255a3004750475f38921a3487"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1161894255a3004750475f38921a3487">&#9670;&nbsp;</a></span>use_wp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_plot_hdf5::xdmf_info_::use_wp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="sd__plot__hdf5_8f90.html">sd_plot_hdf5.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
